<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Bmi Calculator</title>
</head>
<body>
    Weight (lbs): <input type="number" id="lbs"> <br>
    <p>Height: <input type="number" placeholder="ft" id="ft"> <input type="number" placeholder="in" id="in"><p>
    
    <h3>BMI Categories:</h3>
    <p style="margin:0px"> Underweight = < 18.5 </p>
    <p style="margin:0px"> Normal weight = 18.5–24.9 </p>
    <p style="margin:0px"> Overweight = 25–29.9 </p>
    <p style="margin:0px"> Obesity = BMI of 30 or greater </p>

    <h3 id="BMI"></h3>

    <button onclick='calculateBmi()'>Calculate</button>

    <script>
        var weight = 0;
        var height = 0;
        function calculateBmi() {
            weight = parseInt(document.getElementById("lbs").value)
            height = (parseInt(document.getElementById("ft").value) * 12) + parseInt(document.getElementById("in").value)
            h2 = height * height;
            bmi = weight/h2 * 703;
            document.getElementById("BMI").innerHTML = "Your BMI is: " + bmi;
        }
         
    </script>
</body>
</html>